org.tmatesoft.svn.core.wc2

## Class SvnStatus

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnObject
  - - org.tmatesoft.svn.core.wc2.SvnStatus

-     public class SvnStatus
      extends SvnObject

  Provides detailed status information for a working copy item as a result of a status operation invoked by a `SvnGetStatus` operation.
  Version:
    1.7
  Author:
    TMate Software Ltd.
  See Also:
    `SvnGetStatus`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChangedAuthor()` Gets the author who last changed the item.
    `org.tmatesoft.svn.core.internal.util.SVNDate` | `getChangedDate()` Gets the timestamp when the item was last changed (committed).
    `long` | `getChangedRevision()` Gets the revision when the item was last changed (committed).
    `java.lang.String` | `getChangelist()` Returns the name of the changelist which the working copy item, denoted by this object, belongs to.
    `long` | `getCopyFromRevision()` Gets the revision of the item's ancestor from which the item was copied (the item is added with history).
    `SVNURL` | `getCopyFromUrl()` Gets the URL (repository location) of the ancestor from which the item was copied.
    `SVNDepth` | `getDepth()` Returns the local item's depth.
    `long` | `getFileSize()` Returns the item's file size.
    `SVNNodeKind` | `getKind()` Gets the item's node kind characterizing it as an entry.
    `SVNLock` | `getLock()` Gets the file item's local lock.
    `java.io.File` | `getMovedFromPath()`
    `java.io.File` | `getMovedToPath()`
    `SVNStatusType` | `getNodeStatus()` Returns the item's node status.
    `java.io.File` | `getPath()` Gets the item's path in the filesystem.
    `SVNStatusType` | `getPropertiesStatus()` Gets the working copy local item's properties status type.
    `java.lang.String` | `getRepositoryChangedAuthor()` Gets the item's last changed author.
    `org.tmatesoft.svn.core.internal.util.SVNDate` | `getRepositoryChangedDate()` Gets the item's last changed date.
    `long` | `getRepositoryChangedRevision()` Gets the item's last revision.
    `SVNNodeKind` | `getRepositoryKind()` Returns the kind of the item got from the repository.
    `SVNLock` | `getRepositoryLock()` Gets the file item's repository lock.
    `SVNStatusType` | `getRepositoryNodeStatus()` Returns the node status of the item got from the repository.
    `SVNStatusType` | `getRepositoryPropertiesStatus()` Gets the working copy item's properties status type against the repository - that is comparing the item's BASE revision and the latest one in the repository when the item was changed.
    `java.lang.String` | `getRepositoryRelativePath()` Returns the item's repository relative path.
    `SVNURL` | `getRepositoryRootUrl()` Returns the item's repository root URL.
    `SVNStatusType` | `getRepositoryTextStatus()` Gets the working copy item's contents status type against the repository - that is comparing the item's BASE revision and the latest one in the repository when the item was changed.
    `java.lang.String` | `getRepositoryUuid()` Gets the repository Universal Unique IDentifier (UUID).
    `long` | `getRevision()` Gets the item's current working revision.
    `SVNStatusType` | `getTextStatus()` Gets the working copy local item's contents status type.
    `int` | `getWorkingCopyFormat()` Get the working copy format.
    `boolean` | `isConflicted()` Returns whether the item is in conflict state.
    `boolean` | `isCopied()` Finds out if the item is added with history.
    `boolean` | `isFileExternal()` Returns whether the item is the external file.
    `boolean` | `isSwitched()` Returns whether the item is switched to a different repository location.
    `boolean` | `isVersioned()` Returns whether the item is versioned.
    `boolean` | `isWcLocked()` Finds out if the item is locked (not a user lock but a driver's one when during an operation a working copy is locked in .svn administrative areas to prevent from other operations interrupting until the running one finishes).
    `void` | `setChangedAuthor(java.lang.String changedAuthor)` Sets the author who last changed the item.
    `void` | `setChangedDate(org.tmatesoft.svn.core.internal.util.SVNDate changedDate)` Sets the timestamp when the item was last changed (committed).
    `void` | `setChangedRevision(long changedRevision)` Sets the revision when the item was last changed (committed).
    `void` | `setChangelist(java.lang.String changelist)` Sets the name of the changelist which the working copy item, denoted by this object, belongs to.
    `void` | `setConflicted(boolean conflicted)` Sets whether the item is in conflict state.
    `void` | `setCopied(boolean copied)` Sets whether the item is in conflict state.
    `void` | `setCopyFromRevision(long copyFromRevision)` Sets the revision of the item's ancestor from which the item was copied (the item is added with history).
    `void` | `setCopyFromUrl(SVNURL copyFromUrl)` Sets the URL (repository location) of the ancestor from which the item was copied.
    `void` | `setDepth(SVNDepth depth)` Sets the local item's depth.
    `void` | `setFileExternal(boolean fileExternal)` Sets whether the item is the external file.
    `void` | `setFileSize(long fileSize)` Sets the item's file size.
    `void` | `setKind(SVNNodeKind kind)` Sets item's node kind.
    `void` | `setLock(SVNLock lock)` Sets the file item's local lock.
    `void` | `setMovedFromPath(java.io.File path)`
    `void` | `setMovedToPath(java.io.File path)`
    `void` | `setNodeStatus(SVNStatusType nodeStatus)` Sets the item's status.
    `void` | `setPath(java.io.File path)` Sets item's working copy path.
    `void` | `setPropertiesStatus(SVNStatusType propertiesStatus)` Sets the item's properties status type.
    `void` | `setRepositoryChangedAuthor(java.lang.String repositoryChangedAuthor)` Sets the item's last changed author.
    `void` | `setRepositoryChangedDate(org.tmatesoft.svn.core.internal.util.SVNDate repositoryChangedDate)` Sets the item's last changed date.
    `void` | `setRepositoryChangedRevision(long repositoryChangedRevision)` Sets the item's last revision.
    `void` | `setRepositoryKind(SVNNodeKind repositoryKind)` Sets the kind of the item got from the repository.
    `void` | `setRepositoryLock(SVNLock repositoryLock)` Sets the file item's repository lock.
    `void` | `setRepositoryNodeStatus(SVNStatusType repositoryNodeStatus)` Sets the node status of the item got from the repository.
    `void` | `setRepositoryPropertiesStatus(SVNStatusType repositoryPropertiesStatus)` Sets the working copy item's properties status type against the repository.
    `void` | `setRepositoryRelativePath(java.lang.String repositoryRelativePath)` Sets the item's repository relative path.
    `void` | `setRepositoryRootUrl(SVNURL repositoryRootUrl)` Sets the item's repository root URL.
    `void` | `setRepositoryTextStatus(SVNStatusType repositoryTextStatus)` Sets the working copy item's contents status type against the repository.
    `void` | `setRepositoryUuid(java.lang.String repositoryUuid)` Sets the repository Universal Unique IDentifier (UUID).
    `void` | `setRevision(long revision)` Sets the item's current working revision.
    `void` | `setSwitched(boolean switched)` Sets whether the item is switched to a different repository location.
    `void` | `setTextStatus(SVNStatusType textStatus)` Sets the item's contents status type.
    `void` | `setVersioned(boolean versioned)` Sets whether the item is versioned.
    `void` | `setWcLocked(boolean wcLocked)` Sets if the item is locked (not a user lock but a driver's one when during an operation a working copy is locked in .svn administrative areas to prevent from other operations interrupting until the running one finishes).
    `void` | `setWorkingCopyFormat(int workingCopyFormat)` Set the working copy format.

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnObject

      `getUserData, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnStatus

          public SvnStatus()

  - ### Method Detail

    - #### getKind

          public SVNNodeKind getKind()

      Gets the item's node kind characterizing it as an entry.
      Returns:
        the item's node kind (whether it's a file, directory, etc.)

    - #### getPath

          public java.io.File getPath()

      Gets the item's path in the filesystem.
      Returns:
        a File representation of the item's path

    - #### getFileSize

          public long getFileSize()

      Returns the item's file size.
      Returns:
        the file size of the item

    - #### isVersioned

          public boolean isVersioned()

      Returns whether the item is versioned.
      Returns:
        `true` if the item is versioned, otherwise `false`

    - #### isConflicted

          public boolean isConflicted()

      Returns whether the item is in conflict state.
      Returns:
        `true` if the item is in conflict state, otherwise `false`

    - #### getNodeStatus

          public SVNStatusType getNodeStatus()

      Returns the item's node status.
      Returns:
        the node status of the item

    - #### getTextStatus

          public SVNStatusType getTextStatus()

      Gets the working copy local item's contents status type.
      Returns:
        the local contents status type

    - #### getPropertiesStatus

          public SVNStatusType getPropertiesStatus()

      Gets the working copy local item's properties status type.
      Returns:
        the local properties status type

    - #### isWcLocked

          public boolean isWcLocked()

      Finds out if the item is locked (not a user lock but a driver's one when during an operation a working copy is locked in .svn administrative areas to prevent from other operations interrupting until the running one finishes).

      To clean up a working copy use `SvnCleanup`.

      Returns:
        `true` if locked, otherwise `false`
      See Also:
        `SvnCleanup`

    - #### isCopied

          public boolean isCopied()

      Finds out if the item is added with history.
      Returns:
        `true` if the item is added with history, otherwise `false`

    - #### getRepositoryRootUrl

          public SVNURL getRepositoryRootUrl()

      Returns the item's repository root URL.
      Returns:
        the repository root URL of the item

    - #### getRepositoryUuid

          public java.lang.String getRepositoryUuid()

      Gets the repository Universal Unique IDentifier (UUID).
      Returns:
        the repository UUID

    - #### getRepositoryRelativePath

          public java.lang.String getRepositoryRelativePath()

      Returns the item's repository relative path.
      Returns:
        the repository relative path of the item

    - #### getRevision

          public long getRevision()

      Gets the item's current working revision.
      Returns:
        the item's working revision

    - #### getChangedRevision

          public long getChangedRevision()

      Gets the revision when the item was last changed (committed).
      Returns:
        the last committed revision

    - #### getChangedDate

          public org.tmatesoft.svn.core.internal.util.SVNDate getChangedDate()

      Gets the timestamp when the item was last changed (committed).
      Returns:
        the last committed date

    - #### getChangedAuthor

          public java.lang.String getChangedAuthor()

      Gets the author who last changed the item.
      Returns:
        the item's last commit author

    - #### isSwitched

          public boolean isSwitched()

      Returns whether the item is switched to a different repository location.
      Returns:
        `true` if item is switched to a different repository location, otherwise `false`

    - #### isFileExternal

          public boolean isFileExternal()

      Returns whether the item is the external file.
      Returns:
        `true` if is the external file, otherwise `false`

    - #### getLock

          public SVNLock getLock()

      Gets the file item's local lock.
      Returns:
        file item's local lock

    - #### getDepth

          public SVNDepth getDepth()

      Returns the local item's depth.
      Returns:
        the local depth of the item

    - #### getRepositoryKind

          public SVNNodeKind getRepositoryKind()

      Returns the kind of the item got from the repository. Relevant for a remote status invocation.
      Returns:
        a repository item kind

    - #### getRepositoryNodeStatus

          public SVNStatusType getRepositoryNodeStatus()

      Returns the node status of the item got from the repository. Relevant for a remote status invocation.
      Returns:
        a repository node status

    - #### getRepositoryTextStatus

          public SVNStatusType getRepositoryTextStatus()

      Gets the working copy item's contents status type against the repository - that is comparing the item's BASE revision and the latest one in the repository when the item was changed. Applicable for a remote status invocation.

      If the repository contents status type != `SVNStatusType.STATUS_NONE` the local file may be out of date.

      Returns:
        the repository contents status type

    - #### getRepositoryPropertiesStatus

          public SVNStatusType getRepositoryPropertiesStatus()

      Gets the working copy item's properties status type against the repository - that is comparing the item's BASE revision and the latest one in the repository when the item was changed. Applicable for a remote status invocation.

      If the repository properties status type != `SVNStatusType.STATUS_NONE` the local file may be out of date.

      Returns:
        the repository properties status type

    - #### getRepositoryLock

          public SVNLock getRepositoryLock()

      Gets the file item's repository lock.
      Returns:
        file item's repository lock

    - #### getRepositoryChangedRevision

          public long getRepositoryChangedRevision()

      Gets the item's last revision.
      Returns:
        a repository last revision

    - #### getRepositoryChangedDate

          public org.tmatesoft.svn.core.internal.util.SVNDate getRepositoryChangedDate()

      Gets the item's last changed date.
      Returns:
        a repository last changed date

    - #### getRepositoryChangedAuthor

          public java.lang.String getRepositoryChangedAuthor()

      Gets the item's last changed author.
      Returns:
        a last commit author

    - #### setKind

          public void setKind(SVNNodeKind kind)

      Sets item's node kind.
      Parameters:
        `kind` - node kind of the item

    - #### setPath

          public void setPath(java.io.File path)

      Sets item's working copy path.
      Parameters:
        `path` - working copy path of the item

    - #### setFileSize

          public void setFileSize(long fileSize)

      Sets the item's file size.
      Parameters:
        `fileSize` - the file size of the item

    - #### setVersioned

          public void setVersioned(boolean versioned)

      Sets whether the item is versioned.
      Parameters:
        `versioned` - `true` if the item is versioned, otherwise `false`

    - #### setConflicted

          public void setConflicted(boolean conflicted)

      Sets whether the item is in conflict state.
      Parameters:
        `conflicted` - `true` if the item is in conflict state, otherwise `false`

    - #### setNodeStatus

          public void setNodeStatus(SVNStatusType nodeStatus)

      Sets the item's status.
      Parameters:
        `nodeStatus` - the node status of the item

    - #### setTextStatus

          public void setTextStatus(SVNStatusType textStatus)

      Sets the item's contents status type.
      Parameters:
        `textStatus` - status type of the item's contents

    - #### setPropertiesStatus

          public void setPropertiesStatus(SVNStatusType propertiesStatus)

      Sets the item's properties status type.
      Parameters:
        `propertiesStatus` - status type of the item's properties

    - #### setWcLocked

          public void setWcLocked(boolean wcLocked)

      Sets if the item is locked (not a user lock but a driver's one when during an operation a working copy is locked in .svn administrative areas to prevent from other operations interrupting until the running one finishes).
      Parameters:
        `wcLocked` - `true` if locked, otherwise `false`

    - #### setCopied

          public void setCopied(boolean copied)

      Sets whether the item is in conflict state.
      Parameters:
        `copied` - `true` if the item is in conflict state, otherwise `false`

    - #### setRepositoryRootUrl

          public void setRepositoryRootUrl(SVNURL repositoryRootUrl)

      Sets the item's repository root URL.
      Parameters:
        `repositoryRootUrl` - the repository root URL of the item

    - #### setRepositoryUuid

          public void setRepositoryUuid(java.lang.String repositoryUuid)

      Sets the repository Universal Unique IDentifier (UUID).
      Parameters:
        `repositoryUuid` - the repository UUID

    - #### setRepositoryRelativePath

          public void setRepositoryRelativePath(java.lang.String repositoryRelativePath)

      Sets the item's repository relative path.
      Parameters:
        `repositoryRelativePath` - the relative path of the item

    - #### setRevision

          public void setRevision(long revision)

      Sets the item's current working revision.
      Parameters:
        `revision` - the item's working revision

    - #### setChangedRevision

          public void setChangedRevision(long changedRevision)

      Sets the revision when the item was last changed (committed).
      Parameters:
        `changedRevision` - the last committed revision

    - #### setChangedDate

          public void setChangedDate(org.tmatesoft.svn.core.internal.util.SVNDate changedDate)

      Sets the timestamp when the item was last changed (committed).
      Parameters:
        `changedDate` - the last committed date

    - #### setChangedAuthor

          public void setChangedAuthor(java.lang.String changedAuthor)

      Sets the author who last changed the item.
      Parameters:
        `changedAuthor` - the item's last commit author

    - #### setSwitched

          public void setSwitched(boolean switched)

      Sets whether the item is switched to a different repository location.
      Parameters:
        `switched` - `true` if item is switched to a different repository location, otherwise `false`

    - #### setFileExternal

          public void setFileExternal(boolean fileExternal)

      Sets whether the item is the external file.
      Parameters:
        `fileExternal` - `true` if is the external file, otherwise `false`

    - #### setLock

          public void setLock(SVNLock lock)

      Sets the file item's local lock.
      Parameters:
        `lock` - file item's local lock

    - #### setDepth

          public void setDepth(SVNDepth depth)

      Sets the local item's depth.
      Parameters:
        `depth` - the local depth of the item

    - #### setRepositoryKind

          public void setRepositoryKind(SVNNodeKind repositoryKind)

      Sets the kind of the item got from the repository.
      Parameters:
        `repositoryKind` - a repository item kind

    - #### setRepositoryNodeStatus

          public void setRepositoryNodeStatus(SVNStatusType repositoryNodeStatus)

      Sets the node status of the item got from the repository.
      Parameters:
        `repositoryNodeStatus` - a repository node status

    - #### setRepositoryTextStatus

          public void setRepositoryTextStatus(SVNStatusType repositoryTextStatus)

      Sets the working copy item's contents status type against the repository.
      Parameters:
        `repositoryTextStatus` - the repository contents status type

    - #### setRepositoryPropertiesStatus

          public void setRepositoryPropertiesStatus(SVNStatusType repositoryPropertiesStatus)

      Sets the working copy item's properties status type against the repository.
      Parameters:
        `repositoryPropertiesStatus` - the repository properties status type

    - #### setRepositoryLock

          public void setRepositoryLock(SVNLock repositoryLock)

      Sets the file item's repository lock.
      Parameters:
        `repositoryLock` - file item's repository lock

    - #### setRepositoryChangedRevision

          public void setRepositoryChangedRevision(long repositoryChangedRevision)

      Sets the item's last revision.
      Parameters:
        `repositoryChangedRevision` - a repository last revision

    - #### setRepositoryChangedDate

          public void setRepositoryChangedDate(org.tmatesoft.svn.core.internal.util.SVNDate repositoryChangedDate)

      Sets the item's last changed date.
      Parameters:
        `repositoryChangedDate` - a repository last changed date

    - #### setRepositoryChangedAuthor

          public void setRepositoryChangedAuthor(java.lang.String repositoryChangedAuthor)

      Sets the item's last changed author.
      Parameters:
        `repositoryChangedAuthor` - a last commit author

    - #### getChangelist

          public java.lang.String getChangelist()

      Returns the name of the changelist which the working copy item, denoted by this object, belongs to.
      Returns:
        changelist name

    - #### setChangelist

          public void setChangelist(java.lang.String changelist)

      Sets the name of the changelist which the working copy item, denoted by this object, belongs to.
      Parameters:
        `changelist` - name of changelist

    - #### setCopyFromUrl

          public void setCopyFromUrl(SVNURL copyFromUrl)

      Sets the URL (repository location) of the ancestor from which the item was copied. That is when the item is added with history.
      Parameters:
        `copyFromUrl` - the item ancestor's URL

    - #### getCopyFromUrl

          public SVNURL getCopyFromUrl()

      Gets the URL (repository location) of the ancestor from which the item was copied. That is when the item is added with history.
      Returns:
        the item ancestor's URL

    - #### setCopyFromRevision

          public void setCopyFromRevision(long copyFromRevision)

      Sets the revision of the item's ancestor from which the item was copied (the item is added with history).
      Parameters:
        `copyFromRevision` - the ancestor's revision

    - #### getCopyFromRevision

          public long getCopyFromRevision()

      Gets the revision of the item's ancestor from which the item was copied (the item is added with history).
      Returns:
        the ancestor's revision

    - #### getWorkingCopyFormat

          public int getWorkingCopyFormat()

      Get the working copy format. This method is used for internal purposes only
      Returns:
        working copy format

    - #### setWorkingCopyFormat

          public void setWorkingCopyFormat(int workingCopyFormat)

      Set the working copy format. This method is used for internal purposes only
      Parameters:
        `workingCopyFormat` - working copy format

    - #### getMovedToPath

          public java.io.File getMovedToPath()

    - #### setMovedToPath

          public void setMovedToPath(java.io.File path)

    - #### getMovedFromPath

          public java.io.File getMovedFromPath()

    - #### setMovedFromPath

          public void setMovedFromPath(java.io.File path)